SystemOrganization addCategory: #'RoboSapien-Core'!
SystemOrganization addCategory: #'RoboSapien-Etoys'!

Morph subclass: #RoboSapienBodyPartMorph
	instanceVariableNames: 'roboSapienMorph isMouseOver'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'RoboSapien-Etoys'!

!RoboSapienBodyPartMorph class methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 15:47'!
on: aMorph 
	^( self basicNew setRoboSapienMorph: aMorph) initialize! !

!RoboSapienBodyPartMorph methodsFor: 'initialize-release' stamp: 'Richo 2/27/2009 15:45'!
delete
roboSapienMorph delete.
super delete.! !

!RoboSapienBodyPartMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 14:16'!
doesNotUnderstand: aMessage 
	aMessage arguments isEmpty
		ifTrue: [self class compile: aMessage selector , Character cr asString , 'roboSapienMorph ' , aMessage selector]
		ifFalse: [
			self class compile: aMessage selector, ' aSymbol', Character cr asString,
			'roboSapienMorph ', aMessage selector, ' aSymbol'
			]! !

!RoboSapienBodyPartMorph methodsFor: 'drawing' stamp: 'Richo 2/27/2009 15:58'!
drawOn: aCanvas 
	| form |
	form := self form.
	aCanvas translucentImage: form at: self bounds center - form center! !

!RoboSapienBodyPartMorph methodsFor: 'drawing' stamp: 'Richo 2/27/2009 16:10'!
form
	^ isMouseOver
		ifTrue: [self class form shapeBorder: roboSapienMorph borderColor width: 3]
		ifFalse: [self class form]! !

!RoboSapienBodyPartMorph methodsFor: 'event handling' stamp: 'Richo 2/27/2009 15:58'!
handlesMouseOver: evt 
	^ true! !

!RoboSapienBodyPartMorph methodsFor: 'initialize-release' stamp: 'Richo 3/2/2009 14:35'!
initialize
	super initialize.
	self extent: self class form extent + 6.
	isMouseOver := false.
	self positionMyself! !

!RoboSapienBodyPartMorph methodsFor: 'event handling' stamp: 'Richo 2/27/2009 15:59'!
mouseEnter: evt 
	roboSapienMorph hasBorder: false.
	isMouseOver := true.
	self changed.
	self comeToFront! !

!RoboSapienBodyPartMorph methodsFor: 'event handling' stamp: 'Richo 2/27/2009 15:59'!
mouseLeave: evt 
	roboSapienMorph hasBorder: true.
	isMouseOver := false.
	self changed! !

!RoboSapienBodyPartMorph methodsFor: 'accessing' stamp: 'Richo 3/2/2009 14:12'!
newPlayerInstance
^RoboSapienPlayer newUserInstance! !

!RoboSapienBodyPartMorph methodsFor: 'accessing' stamp: 'Richo 3/3/2009 14:27'!
position: aPoint 

	self positionMyself! !

!RoboSapienBodyPartMorph methodsFor: 'initialize-release' stamp: 'Richo 3/2/2009 14:37'!
positionMyself
	super position: roboSapienMorph center + self relativeCenter - (self extent // 2)! !

!RoboSapienBodyPartMorph methodsFor: 'private' stamp: 'Richo 2/27/2009 15:46'!
setRoboSapienMorph: aMorph
roboSapienMorph := aMorph! !

RoboSapienBodyPartMorph subclass: #RoboSapienHeadMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'RoboSapien-Etoys'!

RoboSapienHeadMorph class
	instanceVariableNames: 'form'!

RoboSapienHeadMorph class
	instanceVariableNames: 'form'!

!RoboSapienHeadMorph class methodsFor: 'viewer categories' stamp: 'Richo 3/2/2009 15:03'!
additionsToViewerCategoryMovement
^#(#'robosapien - head'
((command headOnly: '' RoboSapienDirection)(command headUpperBoddy: '' RoboSapienDirection)))
! !

!RoboSapienHeadMorph class methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 16:14'!
defaultNameStemForInstances
^'RoboSapien''s head'! !

!RoboSapienHeadMorph class methodsFor: 'form' stamp: 'Richo 2/27/2009 15:36'!
form 
^form ifNil: [self initializeForm]! !

!RoboSapienHeadMorph class methodsFor: 'form' stamp: 'Richo 11/17/2009 15:22'!
initializeForm

^form := PEUtilities formFromEncodedPNG:  'iVBORw0KGgoAAAANSUhEUgAAAEcAAABvCAYAAAC+T91EAAAABHNCSVQFBQUBSsjp7wAABjFJ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'! !

!RoboSapienHeadMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 15:03'!
headOnly: aSymbol
roboSapienMorph headOnly: aSymbol! !

!RoboSapienHeadMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 15:03'!
headUpperBoddy: aSymbol
roboSapienMorph headUpperBoddy: aSymbol! !

!RoboSapienHeadMorph methodsFor: 'accessing' stamp: 'Richo 3/2/2009 14:32'!
relativeCenter
^0@-124! !

RoboSapienBodyPartMorph subclass: #RoboSapienLeftArmMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'RoboSapien-Etoys'!

RoboSapienLeftArmMorph class
	instanceVariableNames: 'form'!

RoboSapienLeftArmMorph class
	instanceVariableNames: 'form'!

!RoboSapienLeftArmMorph class methodsFor: 'viewer categories' stamp: 'Richo 3/17/2009 16:13'!
additionsToViewerCategoryLeft
	^ #(#'robosapien - left' #(#(#command #leftArmThrow '') #(#command #leftArmLowPickup '') #(#command #leftKick '') #(#command #leftArmGive '') #(#command #leftPush '') #(#command #leftArmRoll '') #(#command #leftChop '') #(#command #leftArmDrop '') #(#command #leftArmMovement: '' #RoboSapienDirection) #(#command #leftArmGrab '') #(#command #leftArmHighPickup '')) )! !

!RoboSapienLeftArmMorph class methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 16:14'!
defaultNameStemForInstances
^'RoboSapien''s left arm'! !

!RoboSapienLeftArmMorph class methodsFor: 'form' stamp: 'Richo 2/27/2009 15:41'!
form
^form ifNil: [self initializeForm]! !

!RoboSapienLeftArmMorph class methodsFor: 'form' stamp: 'Richo 11/17/2009 15:24'!
initializeForm
^form := PEUtilities formFromEncodedPNG:  'iVBORw0KGgoAAAANSUhEUgAAAFIAAADOCAYAAACtiFWjAAAABHNCSVQFBQUBSsjp7wAADrlJ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'! !

!RoboSapienLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 14:16'!
leftArmDrop
roboSapienMorph leftArmDrop! !

!RoboSapienLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 14:16'!
leftArmGive
roboSapienMorph leftArmGive! !

!RoboSapienLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 14:16'!
leftArmGrab
roboSapienMorph leftArmGrab! !

!RoboSapienLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 14:16'!
leftArmHighPickup
roboSapienMorph leftArmHighPickup! !

!RoboSapienLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 14:16'!
leftArmLowPickup
roboSapienMorph leftArmLowPickup! !

!RoboSapienLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 14:16'!
leftArmMovement: aSymbol
roboSapienMorph leftArmMovement: aSymbol! !

!RoboSapienLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 14:16'!
leftArmRoll
roboSapienMorph leftArmRoll! !

!RoboSapienLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 14:16'!
leftArmThrow
roboSapienMorph leftArmThrow! !

!RoboSapienLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 14:16'!
leftChop
roboSapienMorph leftChop! !

!RoboSapienLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 14:16'!
leftKick
roboSapienMorph leftKick! !

!RoboSapienLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 14:16'!
leftPush
roboSapienMorph leftPush! !

!RoboSapienLeftArmMorph methodsFor: 'accessing' stamp: 'Richo 3/2/2009 14:32'!
relativeCenter
^97@2! !

RoboSapienBodyPartMorph subclass: #RoboSapienLegsMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'RoboSapien-Etoys'!

RoboSapienLegsMorph class
	instanceVariableNames: 'form'!

RoboSapienLegsMorph class
	instanceVariableNames: 'form'!

!RoboSapienLegsMorph class methodsFor: 'viewer categories' stamp: 'Richo 3/2/2009 15:11'!
additionsToViewerCategoryLegs
^#(#'robosapien - legs'
((command bullDozerBackward '')(command freeRoam '')(command lieDownSitUpLieDownStandUp '')(command hipAndWaistTilt: '' RoboSapienDirection)(command walkTo: '' RoboSapienDirection)(command bullDozerForward '')(command getUp '')(command upperBodyOnly: '' RoboSapienDirection)))
! !

!RoboSapienLegsMorph class methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 16:14'!
defaultNameStemForInstances
^'RoboSapien''s legs'! !

!RoboSapienLegsMorph class methodsFor: 'form' stamp: 'Richo 2/27/2009 15:39'!
form
^form ifNil: [self initializeForm]! !

!RoboSapienLegsMorph class methodsFor: 'form' stamp: 'Richo 11/17/2009 15:25'!
initializeForm
^form := PEUtilities formFromEncodedPNG:  'iVBORw0KGgoAAAANSUhEUgAAAKcAAAC5CAYAAABNyi8HAAAABHNCSVQFBQUBSsjp7wAAFEJJ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'! !

!RoboSapienLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 15:04'!
bullDozerBackward
roboSapienMorph bullDozerBackward! !

!RoboSapienLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 15:04'!
bullDozerForward
roboSapienMorph bullDozerForward! !

!RoboSapienLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 15:04'!
calmDown
roboSapienMorph calmDown! !

!RoboSapienLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 15:04'!
fetch
roboSapienMorph fetch! !

!RoboSapienLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 15:04'!
getUp
roboSapienMorph getUp! !

!RoboSapienLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 15:04'!
hipAndWaistTilt: aSymbol
roboSapienMorph hipAndWaistTilt: aSymbol! !

!RoboSapienLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 15:04'!
lieDownSitUpLieDownStandUp
roboSapienMorph lieDownSitUpLieDownStandUp! !

!RoboSapienLegsMorph methodsFor: 'accessing' stamp: 'Richo 3/2/2009 14:33'!
relativeCenter
^0@87! !

!RoboSapienLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 15:05'!
sleepWakeUp
roboSapienMorph sleepWakeUp! !

!RoboSapienLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 15:05'!
upperBodyOnly: aSymbol
roboSapienMorph upperBodyOnly: aSymbol! !

!RoboSapienLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 15:05'!
walkTo: aSymbol
roboSapienMorph walkTo: aSymbol! !

RoboSapienBodyPartMorph subclass: #RoboSapienRightArmMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'RoboSapien-Etoys'!

RoboSapienRightArmMorph class
	instanceVariableNames: 'form'!

RoboSapienRightArmMorph class
	instanceVariableNames: 'form'!

!RoboSapienRightArmMorph class methodsFor: 'viewer categories' stamp: 'Richo 3/17/2009 16:13'!
additionsToViewerCategoryRight
	^ #(#'robosapien - right' #(#(#command #rightArmHighPickUp '') #(#command #rightArmDrop '') #(#command #rightArmLowPickUp '') #(#command #rightArmThrow '') #(#command #rightArmGrab '') #(#command #rightKick '') #(#command #rightChop '') #(#command #rightArmGive '') #(#command #rightArmMovement: '' #RoboSapienDirection) #(#command #rightArmRoll '') #(#command #rightPush '')) )! !

!RoboSapienRightArmMorph class methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 16:14'!
defaultNameStemForInstances
^'RoboSapien''s right arm'! !

!RoboSapienRightArmMorph class methodsFor: 'form' stamp: 'Richo 2/27/2009 15:42'!
form
^form ifNil: [self initializeForm]! !

!RoboSapienRightArmMorph class methodsFor: 'form' stamp: 'Richo 2/27/2009 15:43'!
initializeForm
	^ form := RoboSapienLeftArmMorph form flipBy: #horizontal centerAt: 0 @ 0! !

!RoboSapienRightArmMorph methodsFor: 'accessing' stamp: 'Richo 3/2/2009 14:33'!
relativeCenter
^-97@2! !

!RoboSapienRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 14:17'!
rightArmDrop
roboSapienMorph rightArmDrop! !

!RoboSapienRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 14:17'!
rightArmGive
roboSapienMorph rightArmGive! !

!RoboSapienRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 14:17'!
rightArmGrab
roboSapienMorph rightArmGrab! !

!RoboSapienRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 14:17'!
rightArmHighPickUp
roboSapienMorph rightArmHighPickUp! !

!RoboSapienRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 14:17'!
rightArmLowPickUp
roboSapienMorph rightArmLowPickUp! !

!RoboSapienRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 14:17'!
rightArmMovement: aSymbol
roboSapienMorph rightArmMovement: aSymbol! !

!RoboSapienRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 14:17'!
rightArmRoll
roboSapienMorph rightArmRoll! !

!RoboSapienRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 14:17'!
rightArmThrow
roboSapienMorph rightArmThrow! !

!RoboSapienRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 14:17'!
rightChop
roboSapienMorph rightChop! !

!RoboSapienRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 14:17'!
rightKick
roboSapienMorph rightKick! !

!RoboSapienRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 3/2/2009 14:17'!
rightPush
roboSapienMorph rightPush! !

Morph subclass: #RoboSapienMorph
	instanceVariableNames: 'roboSapien hasBorder port'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'RoboSapien-Etoys'!

RoboSapienMorph class
	instanceVariableNames: 'form'!

RoboSapienMorph class
	instanceVariableNames: 'form'!

!RoboSapienMorph class methodsFor: 'new viewer categories' stamp: 'Richo 3/3/2009 14:37'!
additionsToViewerCategoryConnection
^#(#'robosapien - connection'
			((command connect '')
			(command disconnect '')
			(slot isConnected '' Boolean readOnly Player getIsConnected Player unused)
			(slot port '' Number readWrite Player getPort Player setPort:)
			))! !

!RoboSapienMorph class methodsFor: 'new viewer categories' stamp: 'Richo 3/2/2009 14:04'!
additionsToViewerCategoryGeneral
^#
(#'robosapien - general'
((command soundProgram '')(command manualColorModeIndoorWhite '')(command sonicSensor '')(command visionSystem '')(command manualColorModeIndoorYellow '')(command visionProgram '')(command manualColorModeDaylight '')(command stopping '')(command powerDown '')))
			! !

!RoboSapienMorph class methodsFor: 'new viewer categories' stamp: 'Richo 3/2/2009 14:05'!
additionsToViewerCategoryLeft
^#
(#'robosapien - left'
((command leftArmThrow '')(command leftArmLowPickup '')(command leftKick '')(command leftArmGive '')(command leftPush '')(command leftArmRoll '')(command leftChop '')(command leftArmDrop '')(command leftArmMovement: '' RoboSapienDirection)(command leftArmGrab '')(command leftArmHighPickup '')))! !

!RoboSapienMorph class methodsFor: 'new viewer categories' stamp: 'Richo 3/2/2009 14:04'!
additionsToViewerCategoryMisc
^#
(#'robosapien - misc'
((command roboRaptorInteraction '')(command performProgram '')(command clearEntry '')(command reset '')(command roboPetInteraction '')(command gaitChangeQuitReset '')(command positionalProgramEntry '')(command positionalProgramPlay '')(command roboSapienInteraction '')(command clearProgram '')(command mainProgram '')))! !

!RoboSapienMorph class methodsFor: 'new viewer categories' stamp: 'Richo 3/2/2009 14:06'!
additionsToViewerCategoryMovement
^#(#'robosapien - movement'
((command movementDemo '')(command bullDozerBackward '')(command freeRoam '')(command lieDownSitUpLieDownStandUp '')(command headOnly: '' RoboSapienDirection)(command hipAndWaistTilt: '' RoboSapienDirection)(command moveBothArms: '' RoboSapienDirection)(command walkTo: '' RoboSapienDirection)(command bullDozerForward '')(command getUp '')(command headUpperBoddy: '' RoboSapienDirection)(command calmDown '')(command sleepWakeUp '')(command upperBodyOnly: '' RoboSapienDirection)(command fetch '')))
! !

!RoboSapienMorph class methodsFor: 'new viewer categories' stamp: 'Richo 3/2/2009 14:05'!
additionsToViewerCategoryRight
^#
(#'robosapien - right'
((command rightArmHighPickUp '')(command rightArmDrop '')(command rightArmLowPickUp '')(command rightArmThrow '')(command rightArmGrab '')(command rightKick '')(command rightChop '')(command rightArmGive '')(command rightArmMovement: '' RoboSapienDirection)(command rightArmRoll '')(command rightPush '')))
! !

!RoboSapienMorph class methodsFor: 'new viewer categories' stamp: 'Richo 3/2/2009 14:05'!
additionsToViewerCategorySounds
^#
(#'robosapien - sounds'
((command roar '')(command danger '')(command spareChange '')(command insult '')(command danceDemo '')(command oops '')(command burp '')(command diode '')(command dontPress '')(command highFive '')(command heyBaby '')(command laugh '')(command guardMode '')(command hug '')(command plan '')))! !

!RoboSapienMorph class methodsFor: 'parts bin' stamp: 'Richo 11/21/2008 14:30'!
descriptionForPartsBin
	"Answer a description for use in parts bins"
	^ self
		partName: 'RoboSapien'
		categories: #('RoboSapien' )
		documentation: ''! !

!RoboSapienMorph class methodsFor: 'form' stamp: 'Richo 11/21/2008 14:28'!
form
^form ifNil: [self initializeForm]! !

!RoboSapienMorph class methodsFor: 'initializing' stamp: 'Richo 2/27/2009 15:48'!
initialize
	"Para que en etoys al seleccionar el parametro de un comando me
	muestre una listita agrega el vocabulario para las direcciones del
	robosapien:
	0 - Up/Forward
	1 - Down/Backward
	2 - Left
	3 - Right
	4 - Up and Left
	5 - Up and Right
	6 - Down and Left
	7 - Down and Righ
	"

	super initialize.
	self installDefersHaloToInteriorMethodIfNecessary.
	Vocabulary addStandardVocabulary: (SymbolListType new vocabularyName: #RoboSapienDirection;
			 symbols: #(#'up/forward' #'down/backward' #left #right #'up and left' #'up and right' #'down and left' #'down and right' ))! !

!RoboSapienMorph class methodsFor: 'form' stamp: 'Richo 11/17/2009 15:21'!
initializeForm

^form :=  PEUtilities formFromEncodedPNG: 'iVBORw0KGgoAAAANSUhEUgAAARUAAAFnCAYAAACIBN0oAAAABHNCSVQFBQUBSsjp7wAASCBJ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'! !

!RoboSapienMorph class methodsFor: 'initializing' stamp: 'Richo 11/17/2009 10:04'!
installDefersHaloToInteriorMethodIfNecessary
	"Compila en Morph los mtodos necesarios para que el halo del
	RoboSapienMorph seleccione los submorphs en vez de el objeto completo.
	Este mtodo slo debe ser ejecutado si estamos usando Squeak en vez de
	Etoys (porque en Etoys esto ya funciona de una)"
	('squeak*' match: SystemVersion current version)
		ifFalse: [^ self].
	Morph compile: 'defersHaloToInterior
	"Answer whether  when a halo-click goes down over some subobject within me, I should defer to it rather than seize the halo myself."

	^ false' classified: 'classification';
		 compile: 'handlerForBlueButtonDown: anEvent 
	"Return the (prospective) handler for a mouse down event. The handler
	is temporarily installed and can be used for morphs further down the
	hierarchy to negotiate whether the inner or the outer morph should
	finally handle the event.
	Note: Halos handle blue button events themselves so we will only be
	asked if there is currently no halo on top of us."
	self wantsHaloFromClick
		ifFalse: [^ nil].
	anEvent handler
		ifNil: [^ self].
	anEvent handler defersHaloToInterior
		ifTrue: [^ self].
	"by default exclude playfields and books, allowing innermost clicked-on
	morph to get the halo."
	anEvent handler isPlayfieldLike
		ifTrue: [^ self].
	"by default exclude playfields"
	anEvent shiftPressed
		ifTrue: [^ self]
		ifFalse: [^ nil]' classified: #'meta-actions'! !

!RoboSapienMorph methodsFor: 'drawing' stamp: 'Richo 3/3/2009 14:08'!
borderColor

^	(Color r: 0.352 g: 0.484 b: 1.0)! !

!RoboSapienMorph methodsFor: 'commands-movement' stamp: 'Richo 11/21/2008 14:59'!
bullDozerBackward
roboSapien send: roboSapien bullDozerBackward! !

!RoboSapienMorph methodsFor: 'commands-movement' stamp: 'Richo 11/21/2008 14:59'!
bullDozerForward
roboSapien send: roboSapien bullDozerForward! !

!RoboSapienMorph methodsFor: 'commands-sounds' stamp: 'Richo 11/21/2008 14:59'!
burp
roboSapien send: roboSapien burp! !

!RoboSapienMorph methodsFor: 'commands-movement' stamp: 'Richo 11/21/2008 14:59'!
calmDown
roboSapien send: roboSapien calmDown! !

!RoboSapienMorph methodsFor: 'commands-misc' stamp: 'Richo 11/21/2008 14:59'!
clearEntry
roboSapien send: roboSapien clearEntry! !

!RoboSapienMorph methodsFor: 'commands-misc' stamp: 'Richo 11/21/2008 14:59'!
clearProgram
roboSapien send: roboSapien clearProgram! !

!RoboSapienMorph methodsFor: 'commands-connection' stamp: 'Richo 3/3/2009 14:35'!
connect
	roboSapien connectOnPort: port! !

!RoboSapienMorph methodsFor: 'commands-sounds' stamp: 'Richo 11/21/2008 14:59'!
danceDemo
roboSapien send: roboSapien danceDemo! !

!RoboSapienMorph methodsFor: 'commands-sounds' stamp: 'Richo 11/21/2008 14:59'!
danger
roboSapien send: roboSapien danger! !

!RoboSapienMorph methodsFor: 'direction' stamp: 'Richo 2/27/2009 14:58'!
decodeDirection: aSymbol 
	^ (Dictionary new add: #'up/forward' -> 0;
		 add: #'down/backward' -> 1;
		 add: #left -> 2;
		 add: #right -> 3;
		 add: #'up and left' -> 4;
		 add: #'up and right' -> 5;
		 add: #'down and left' -> 6;
		 add: #'down and right' -> 7;
		 yourself) at: aSymbol! !

!RoboSapienMorph methodsFor: 'testing' stamp: 'Richo 2/27/2009 15:52'!
defersHaloToInterior
	^ true! !

!RoboSapienMorph methodsFor: 'initialize-release' stamp: 'Richo 2/27/2009 15:27'!
delete
	self disconnect.
	super delete! !

!RoboSapienMorph methodsFor: 'commands-sounds' stamp: 'Richo 11/21/2008 14:59'!
diode
roboSapien send: roboSapien diode! !

!RoboSapienMorph methodsFor: 'commands-connection' stamp: 'Richo 11/21/2008 14:23'!
disconnect
	roboSapien disconnect! !

!RoboSapienMorph methodsFor: 'commands-sounds' stamp: 'Richo 11/21/2008 14:59'!
dontPress
roboSapien send: roboSapien dontPress! !

!RoboSapienMorph methodsFor: 'drawing' stamp: 'Richo 2/27/2009 15:54'!
drawOn: aCanvas 
	| form |
	form := self form.
	aCanvas translucentImage: form at: self bounds center - form center! !

!RoboSapienMorph methodsFor: 'commands-movement' stamp: 'Richo 11/21/2008 14:59'!
fetch
roboSapien send: roboSapien fetch! !

!RoboSapienMorph methodsFor: 'drawing' stamp: 'Richo 2/27/2009 16:10'!
form
	^ hasBorder
		ifTrue: [self class form shapeBorder: self borderColor width: 3]
		ifFalse: [self class form]! !

!RoboSapienMorph methodsFor: 'commands-movement' stamp: 'Richo 11/21/2008 14:59'!
freeRoam
roboSapien send: roboSapien freeRoam! !

!RoboSapienMorph methodsFor: 'commands-misc' stamp: 'Richo 11/21/2008 14:59'!
gaitChangeQuitReset
roboSapien send: roboSapien gaitChangeQuitReset! !

!RoboSapienMorph methodsFor: 'commands-movement' stamp: 'Richo 11/21/2008 14:59'!
getUp
roboSapien send: roboSapien getUp! !

!RoboSapienMorph methodsFor: 'commands-sounds' stamp: 'Richo 11/21/2008 14:59'!
guardMode
roboSapien send: roboSapien guardMode! !

!RoboSapienMorph methodsFor: 'event handling' stamp: 'Richo 2/27/2009 15:56'!
handlesMouseOver: evt 
	^ true! !

!RoboSapienMorph methodsFor: 'drawing' stamp: 'Richo 2/27/2009 15:57'!
hasBorder: aBoolean
hasBorder := aBoolean.
self changed! !

!RoboSapienMorph methodsFor: 'commands-movement' stamp: 'Richo 2/27/2009 14:59'!
headOnly: aSymbol 
	roboSapien
		send: (roboSapien
				headOnly: (self decodeDirection: aSymbol))! !

!RoboSapienMorph methodsFor: 'commands-movement' stamp: 'Richo 2/27/2009 14:59'!
headUpperBoddy: aSymbol 
	roboSapien
		send: (roboSapien
				headUpperBoddy: (self decodeDirection: aSymbol))! !

!RoboSapienMorph methodsFor: 'commands-sounds' stamp: 'Richo 11/21/2008 14:59'!
heyBaby
roboSapien send: roboSapien heyBaby! !

!RoboSapienMorph methodsFor: 'commands-sounds' stamp: 'Richo 11/21/2008 14:59'!
highFive
roboSapien send: roboSapien highFive! !

!RoboSapienMorph methodsFor: 'commands-movement' stamp: 'Richo 2/27/2009 14:59'!
hipAndWaistTilt: aSymbol 
	roboSapien
		send: (roboSapien
				hipAndWaistTilt: (self decodeDirection: aSymbol))! !

!RoboSapienMorph methodsFor: 'commands-sounds' stamp: 'Richo 11/21/2008 14:59'!
hug
roboSapien send: roboSapien hug! !

!RoboSapienMorph methodsFor: 'initialize-release' stamp: 'Richo 3/3/2009 14:28'!
initialize
	super initialize.
	self extent: self class form extent + 6.
	roboSapien := RoboSapien new.
	hasBorder := false.
	port:= 1.
	self initializeSubmorphs! !

!RoboSapienMorph methodsFor: 'initialize-release' stamp: 'Richo 3/2/2009 14:34'!
initializeSubmorphs
	self
		addMorph: ((RoboSapienLeftArmMorph on: self)
				).
	self
		addMorph: ((RoboSapienRightArmMorph on: self)
				).
	self
		addMorph: ((RoboSapienLegsMorph on: self)
			).
	self
		addMorph: ((RoboSapienHeadMorph on: self)
				)! !

!RoboSapienMorph methodsFor: 'commands-sounds' stamp: 'Richo 11/21/2008 14:59'!
insult
roboSapien send: roboSapien insult! !

!RoboSapienMorph methodsFor: 'accessing' stamp: 'Richo 2/13/2009 13:59'!
isConnected
^roboSapien isConnected! !

!RoboSapienMorph methodsFor: 'commands-sounds' stamp: 'Richo 11/21/2008 14:59'!
laugh
roboSapien send: roboSapien laugh! !

!RoboSapienMorph methodsFor: 'commands-left' stamp: 'Richo 11/21/2008 14:59'!
leftArmDrop
roboSapien send: roboSapien leftArmDrop! !

!RoboSapienMorph methodsFor: 'commands-left' stamp: 'Richo 11/21/2008 14:59'!
leftArmGive
roboSapien send: roboSapien leftArmGive! !

!RoboSapienMorph methodsFor: 'commands-left' stamp: 'Richo 11/21/2008 14:59'!
leftArmGrab
roboSapien send: roboSapien leftArmGrab! !

!RoboSapienMorph methodsFor: 'commands-left' stamp: 'Richo 11/21/2008 14:59'!
leftArmHighPickup
roboSapien send: roboSapien leftArmHighPickup! !

!RoboSapienMorph methodsFor: 'commands-left' stamp: 'Richo 11/21/2008 14:59'!
leftArmLowPickup
roboSapien send: roboSapien leftArmLowPickup! !

!RoboSapienMorph methodsFor: 'commands-left' stamp: 'Richo 2/27/2009 14:59'!
leftArmMovement: aSymbol 
	roboSapien
		send: (roboSapien
				leftArmMovement: (self decodeDirection: aSymbol))! !

!RoboSapienMorph methodsFor: 'commands-left' stamp: 'Richo 11/21/2008 14:59'!
leftArmRoll
roboSapien send: roboSapien leftArmRoll! !

!RoboSapienMorph methodsFor: 'commands-left' stamp: 'Richo 11/21/2008 14:59'!
leftArmThrow
roboSapien send: roboSapien leftArmThrow! !

!RoboSapienMorph methodsFor: 'commands-left' stamp: 'Richo 11/21/2008 14:59'!
leftChop
roboSapien send: roboSapien leftChop! !

!RoboSapienMorph methodsFor: 'commands-left' stamp: 'Richo 11/21/2008 14:59'!
leftKick
roboSapien send: roboSapien leftKick! !

!RoboSapienMorph methodsFor: 'commands-left' stamp: 'Richo 11/21/2008 14:59'!
leftPush
roboSapien send: roboSapien leftPush! !

!RoboSapienMorph methodsFor: 'commands-movement' stamp: 'Richo 11/21/2008 14:59'!
lieDownSitUpLieDownStandUp
roboSapien send: roboSapien lieDownSitUpLieDownStandUp! !

!RoboSapienMorph methodsFor: 'commands-misc' stamp: 'Richo 11/21/2008 14:59'!
mainProgram
roboSapien send: roboSapien mainProgram! !

!RoboSapienMorph methodsFor: 'commands-general' stamp: 'Richo 11/21/2008 14:59'!
manualColorModeDaylight
roboSapien send: roboSapien manualColorModeDaylight! !

!RoboSapienMorph methodsFor: 'commands-general' stamp: 'Richo 11/21/2008 14:59'!
manualColorModeIndoorWhite
roboSapien send: roboSapien manualColorModeIndoorWhite! !

!RoboSapienMorph methodsFor: 'commands-general' stamp: 'Richo 11/21/2008 14:59'!
manualColorModeIndoorYellow
roboSapien send: roboSapien manualColorModeIndoorYellow! !

!RoboSapienMorph methodsFor: 'event handling' stamp: 'Richo 2/27/2009 15:56'!
mouseEnter: evt 
	self hasBorder: true! !

!RoboSapienMorph methodsFor: 'event handling' stamp: 'Richo 2/27/2009 15:57'!
mouseLeave: evt 
	self hasBorder: false! !

!RoboSapienMorph methodsFor: 'commands-movement' stamp: 'Richo 2/27/2009 14:59'!
moveBothArms: aSymbol 
	roboSapien
		send: (roboSapien
				moveBothArms: (self decodeDirection: aSymbol))! !

!RoboSapienMorph methodsFor: 'commands-movement' stamp: 'Richo 11/21/2008 14:59'!
movementDemo
roboSapien send: roboSapien movementDemo! !

!RoboSapienMorph methodsFor: 'accessing' stamp: 'Richo 2/11/2009 15:12'!
newPlayerInstance
^RoboSapienPlayer newUserInstance! !

!RoboSapienMorph methodsFor: 'commands-sounds' stamp: 'Richo 11/21/2008 14:59'!
oops
roboSapien send: roboSapien oops! !

!RoboSapienMorph methodsFor: 'commands-misc' stamp: 'Richo 11/21/2008 14:59'!
performProgram
roboSapien send: roboSapien performProgram! !

!RoboSapienMorph methodsFor: 'commands-sounds' stamp: 'Richo 11/21/2008 14:59'!
plan
roboSapien send: roboSapien plan! !

!RoboSapienMorph methodsFor: 'accessing' stamp: 'Richo 3/3/2009 14:35'!
port
^port! !

!RoboSapienMorph methodsFor: 'accessing' stamp: 'Richo 3/3/2009 14:38'!
port: aNumber 
self isConnected ifTrue: [^self].
	port := aNumber! !

!RoboSapienMorph methodsFor: 'commands-misc' stamp: 'Richo 11/21/2008 14:59'!
positionalProgramEntry
roboSapien send: roboSapien positionalProgramEntry! !

!RoboSapienMorph methodsFor: 'commands-misc' stamp: 'Richo 11/21/2008 14:59'!
positionalProgramPlay
roboSapien send: roboSapien positionalProgramPlay! !

!RoboSapienMorph methodsFor: 'commands-general' stamp: 'Richo 11/21/2008 14:59'!
powerDown
roboSapien send: roboSapien powerDown! !

!RoboSapienMorph methodsFor: 'commands-misc' stamp: 'Richo 11/21/2008 14:59'!
reset
roboSapien send: roboSapien reset! !

!RoboSapienMorph methodsFor: 'commands-right' stamp: 'Richo 11/21/2008 14:59'!
rightArmDrop
roboSapien send: roboSapien rightArmDrop! !

!RoboSapienMorph methodsFor: 'commands-right' stamp: 'Richo 11/21/2008 14:59'!
rightArmGive
roboSapien send: roboSapien rightArmGive! !

!RoboSapienMorph methodsFor: 'commands-right' stamp: 'Richo 11/21/2008 14:59'!
rightArmGrab
roboSapien send: roboSapien rightArmGrab! !

!RoboSapienMorph methodsFor: 'commands-right' stamp: 'Richo 11/21/2008 14:59'!
rightArmHighPickUp
roboSapien send: roboSapien rightArmHighPickUp! !

!RoboSapienMorph methodsFor: 'commands-right' stamp: 'Richo 11/21/2008 14:59'!
rightArmLowPickUp
roboSapien send: roboSapien rightArmLowPickUp! !

!RoboSapienMorph methodsFor: 'commands-right' stamp: 'Richo 2/27/2009 14:59'!
rightArmMovement: aSymbol 
	roboSapien
		send: (roboSapien
				rightArmMovement: (self decodeDirection: aSymbol))! !

!RoboSapienMorph methodsFor: 'commands-right' stamp: 'Richo 11/21/2008 14:59'!
rightArmRoll
roboSapien send: roboSapien rightArmRoll! !

!RoboSapienMorph methodsFor: 'commands-right' stamp: 'Richo 11/21/2008 14:59'!
rightArmThrow
roboSapien send: roboSapien rightArmThrow! !

!RoboSapienMorph methodsFor: 'commands-right' stamp: 'Richo 11/21/2008 14:59'!
rightChop
roboSapien send: roboSapien rightChop! !

!RoboSapienMorph methodsFor: 'commands-right' stamp: 'Richo 11/21/2008 14:59'!
rightKick
roboSapien send: roboSapien rightKick! !

!RoboSapienMorph methodsFor: 'commands-right' stamp: 'Richo 11/21/2008 14:59'!
rightPush
roboSapien send: roboSapien rightPush! !

!RoboSapienMorph methodsFor: 'commands-sounds' stamp: 'Richo 11/21/2008 14:59'!
roar
roboSapien send: roboSapien roar! !

!RoboSapienMorph methodsFor: 'commands-misc' stamp: 'Richo 11/21/2008 14:59'!
roboPetInteraction
roboSapien send: roboSapien roboPetInteraction! !

!RoboSapienMorph methodsFor: 'commands-misc' stamp: 'Richo 11/21/2008 14:59'!
roboRaptorInteraction
roboSapien send: roboSapien roboRaptorInteraction! !

!RoboSapienMorph methodsFor: 'commands-misc' stamp: 'Richo 11/21/2008 14:59'!
roboSapienInteraction
roboSapien send: roboSapien roboSapienInteraction! !

!RoboSapienMorph methodsFor: 'commands-movement' stamp: 'Richo 11/21/2008 14:59'!
sleepWakeUp
roboSapien send: roboSapien sleepWakeUp! !

!RoboSapienMorph methodsFor: 'commands-general' stamp: 'Richo 11/21/2008 14:59'!
sonicSensor
roboSapien send: roboSapien sonicSensor! !

!RoboSapienMorph methodsFor: 'commands-general' stamp: 'Richo 11/21/2008 14:59'!
soundProgram
roboSapien send: roboSapien soundProgram! !

!RoboSapienMorph methodsFor: 'commands-sounds' stamp: 'Richo 11/21/2008 14:59'!
spareChange
roboSapien send: roboSapien spareChange! !

!RoboSapienMorph methodsFor: 'commands-general' stamp: 'Richo 11/21/2008 14:59'!
stopping
roboSapien send: roboSapien stopping! !

!RoboSapienMorph methodsFor: 'commands-movement' stamp: 'Richo 2/27/2009 15:02'!
upperBodyOnly: aSymbol 
	roboSapien
		send: (roboSapien
				upperBodyOnly: (self decodeDirection: aSymbol))! !

!RoboSapienMorph methodsFor: 'commands-general' stamp: 'Richo 11/21/2008 14:59'!
visionProgram
roboSapien send: roboSapien visionProgram! !

!RoboSapienMorph methodsFor: 'commands-general' stamp: 'Richo 11/21/2008 14:59'!
visionSystem
roboSapien send: roboSapien visionSystem! !

!RoboSapienMorph methodsFor: 'commands-movement' stamp: 'Richo 2/27/2009 15:02'!
walkTo: aSymbol 
	roboSapien
		send: (roboSapien
				walkTo: (self decodeDirection: aSymbol))! !

Object subclass: #RoboSapien
	instanceVariableNames: 'ir'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'RoboSapien-Core'!

!RoboSapien methodsFor: 'commands-movement' stamp: 'Richo 2/13/2009 13:44'!
bullDozerBackward
^ 882! !

!RoboSapien methodsFor: 'commands-movement' stamp: 'Richo 2/13/2009 13:44'!
bullDozerForward
^ 874! !

!RoboSapien methodsFor: 'commands-sounds' stamp: 'Richo 2/13/2009 13:44'!
burp
^ 883! !

!RoboSapien methodsFor: 'commands-movement' stamp: 'Richo 2/13/2009 13:44'!
calmDown
^ 888! !

!RoboSapien methodsFor: 'commands-misc' stamp: 'Richo 2/13/2009 13:44'!
clearEntry
^ 1011! !

!RoboSapien methodsFor: 'commands-misc' stamp: 'Richo 2/13/2009 13:44'!
clearProgram
^ 1012! !

!RoboSapien methodsFor: 'connection' stamp: 'Richo 11/17/2009 10:00'!
connectOnPort: aNumber
self disconnect.
ir := LegoIRTower onPort: aNumber.
ir connect.! !

!RoboSapien methodsFor: 'commands-sounds' stamp: 'Richo 2/13/2009 13:44'!
danceDemo
^ 848! !

!RoboSapien methodsFor: 'commands-sounds' stamp: 'Richo 2/13/2009 13:44'!
danger
^ 887! !

!RoboSapien methodsFor: 'commands-sounds' stamp: 'Richo 2/13/2009 13:44'!
diode
^ 885! !

!RoboSapien methodsFor: 'connection' stamp: 'Richo 2/11/2009 15:17'!
disconnect
	ir isNil
		ifFalse: [ir disconnect.
			ir := nil]! !

!RoboSapien methodsFor: 'commands-sounds' stamp: 'Richo 2/13/2009 13:44'!
dontPress
^ 890! !

!RoboSapien methodsFor: 'commands-movement' stamp: 'Richo 2/13/2009 13:44'!
fetch
^ 886! !

!RoboSapien methodsFor: 'commands-movement' stamp: 'Richo 2/13/2009 13:44'!
freeRoam
^ 898! !

!RoboSapien methodsFor: 'commands-misc' stamp: 'Richo 2/13/2009 13:44'!
gaitChangeQuitReset
^ 912! !

!RoboSapien methodsFor: 'commands-movement' stamp: 'Richo 2/13/2009 13:44'!
getUp
^ 868! !

!RoboSapien methodsFor: 'commands-sounds' stamp: 'Richo 2/13/2009 13:44'!
guardMode
^ 1010! !

!RoboSapien methodsFor: 'commands-movement' stamp: 'Richo 2/13/2009 13:48'!
headOnly:aDirection
^840+ aDirection! !

!RoboSapien methodsFor: 'commands-movement' stamp: 'Richo 2/13/2009 13:48'!
headUpperBoddy:aDirection
^800+ aDirection! !

!RoboSapien methodsFor: 'commands-sounds' stamp: 'Richo 2/13/2009 13:44'!
heyBaby
^ 875! !

!RoboSapien methodsFor: 'commands-sounds' stamp: 'Richo 2/13/2009 13:44'!
highFive
^ 873! !

!RoboSapien methodsFor: 'commands-movement' stamp: 'Richo 2/13/2009 13:48'!
hipAndWaistTilt:aDirection
^832+ aDirection! !

!RoboSapien methodsFor: 'commands-sounds' stamp: 'Richo 2/13/2009 13:44'!
hug
^ 889! !

!RoboSapien methodsFor: 'commands-sounds' stamp: 'Richo 2/13/2009 13:44'!
insult
^ 877! !

!RoboSapien methodsFor: 'accessing' stamp: 'Richo 11/17/2009 09:57'!
isConnected
^ir notNil and: [ir isConnected]! !

!RoboSapien methodsFor: 'commands-sounds' stamp: 'Richo 2/13/2009 13:44'!
laugh
^ 876! !

!RoboSapien methodsFor: 'commands-left' stamp: 'Richo 2/13/2009 13:44'!
leftArmDrop
^ 879! !

!RoboSapien methodsFor: 'commands-left' stamp: 'Richo 2/13/2009 13:44'!
leftArmGive
^ 864! !

!RoboSapien methodsFor: 'commands-left' stamp: 'Richo 2/13/2009 13:44'!
leftArmGrab
^ 863! !

!RoboSapien methodsFor: 'commands-left' stamp: 'Richo 2/13/2009 13:44'!
leftArmHighPickup
^ 862! !

!RoboSapien methodsFor: 'commands-left' stamp: 'Richo 2/13/2009 13:44'!
leftArmLowPickup
^ 861! !

!RoboSapien methodsFor: 'commands-left' stamp: 'Richo 2/13/2009 13:48'!
leftArmMovement:aDirection
^816+ aDirection! !

!RoboSapien methodsFor: 'commands-left' stamp: 'Richo 2/13/2009 13:44'!
leftArmRoll
^ 865! !

!RoboSapien methodsFor: 'commands-left' stamp: 'Richo 2/13/2009 13:44'!
leftArmThrow
^ 860! !

!RoboSapien methodsFor: 'commands-left' stamp: 'Richo 2/13/2009 13:44'!
leftChop
^ 871! !

!RoboSapien methodsFor: 'commands-left' stamp: 'Richo 2/13/2009 13:44'!
leftKick
^ 867! !

!RoboSapien methodsFor: 'commands-left' stamp: 'Richo 2/13/2009 13:44'!
leftPush
^ 872! !

!RoboSapien methodsFor: 'commands-movement' stamp: 'Richo 2/13/2009 13:44'!
lieDownSitUpLieDownStandUp
^ 849! !

!RoboSapien methodsFor: 'commands-misc' stamp: 'Richo 2/13/2009 13:44'!
mainProgram
^ 1013! !

!RoboSapien methodsFor: 'commands-general' stamp: 'Richo 2/13/2009 13:44'!
manualColorModeDaylight
^ 905! !

!RoboSapien methodsFor: 'commands-general' stamp: 'Richo 2/13/2009 13:44'!
manualColorModeIndoorWhite
^ 907! !

!RoboSapien methodsFor: 'commands-general' stamp: 'Richo 2/13/2009 13:44'!
manualColorModeIndoorYellow
^ 906! !

!RoboSapien methodsFor: 'commands-movement' stamp: 'Richo 2/13/2009 13:48'!
moveBothArms:aDirection
^824+ aDirection! !

!RoboSapien methodsFor: 'commands-movement' stamp: 'Richo 2/13/2009 13:44'!
movementDemo
^ 852! !

!RoboSapien methodsFor: 'commands-sounds' stamp: 'Richo 2/13/2009 13:44'!
oops
^ 859! !

!RoboSapien methodsFor: 'commands-misc' stamp: 'Richo 2/13/2009 13:44'!
performProgram
^ 1014! !

!RoboSapien methodsFor: 'commands-sounds' stamp: 'Richo 2/13/2009 13:44'!
plan
^ 880! !

!RoboSapien methodsFor: 'commands-misc' stamp: 'Richo 2/13/2009 13:44'!
positionalProgramEntry
^ 897! !

!RoboSapien methodsFor: 'commands-misc' stamp: 'Richo 2/13/2009 13:44'!
positionalProgramPlay
^ 850! !

!RoboSapien methodsFor: 'commands-general' stamp: 'Richo 2/13/2009 13:44'!
powerDown
^ 900! !

!RoboSapien methodsFor: 'commands-misc' stamp: 'Richo 2/13/2009 13:44'!
reset
^ 851! !

!RoboSapien methodsFor: 'commands-right' stamp: 'Richo 2/13/2009 13:44'!
rightArmDrop
^ 878! !

!RoboSapien methodsFor: 'commands-right' stamp: 'Richo 2/13/2009 13:44'!
rightArmGive
^ 857! !

!RoboSapien methodsFor: 'commands-right' stamp: 'Richo 2/13/2009 13:44'!
rightArmGrab
^ 856! !

!RoboSapien methodsFor: 'commands-right' stamp: 'Richo 2/13/2009 13:44'!
rightArmHighPickUp
^ 855! !

!RoboSapien methodsFor: 'commands-right' stamp: 'Richo 2/13/2009 13:44'!
rightArmLowPickUp
^ 854! !

!RoboSapien methodsFor: 'commands-right' stamp: 'Richo 2/13/2009 13:48'!
rightArmMovement:aDirection
^808+ aDirection! !

!RoboSapien methodsFor: 'commands-right' stamp: 'Richo 2/13/2009 13:44'!
rightArmRoll
^ 858! !

!RoboSapien methodsFor: 'commands-right' stamp: 'Richo 2/13/2009 13:44'!
rightArmThrow
^ 853! !

!RoboSapien methodsFor: 'commands-right' stamp: 'Richo 2/13/2009 13:44'!
rightChop
^ 870! !

!RoboSapien methodsFor: 'commands-right' stamp: 'Richo 2/13/2009 13:44'!
rightKick
^ 866! !

!RoboSapien methodsFor: 'commands-right' stamp: 'Richo 2/13/2009 13:44'!
rightPush
^ 869! !

!RoboSapien methodsFor: 'commands-sounds' stamp: 'Richo 2/13/2009 13:44'!
roar
^ 884! !

!RoboSapien methodsFor: 'commands-misc' stamp: 'Richo 2/13/2009 13:44'!
roboPetInteraction
^ 904! !

!RoboSapien methodsFor: 'commands-misc' stamp: 'Richo 2/13/2009 13:44'!
roboRaptorInteraction
^ 903! !

!RoboSapien methodsFor: 'commands-misc' stamp: 'Richo 2/13/2009 13:44'!
roboSapienInteraction
^ 901! !

!RoboSapien methodsFor: 'sending' stamp: 'Richo 11/17/2009 10:07'!
send: aNumber

	ir isNil
		ifFalse: [ir
				send: aNumber
				noWakeUp: 0]! !

!RoboSapien methodsFor: 'commands-movement' stamp: 'Richo 2/13/2009 13:44'!
sleepWakeUp
^ 902! !

!RoboSapien methodsFor: 'commands-general' stamp: 'Richo 2/13/2009 13:44'!
sonicSensor
^ 899! !

!RoboSapien methodsFor: 'commands-general' stamp: 'Richo 2/13/2009 13:44'!
soundProgram
^ 1009! !

!RoboSapien methodsFor: 'commands-sounds' stamp: 'Richo 2/13/2009 13:44'!
spareChange
^ 881! !

!RoboSapien methodsFor: 'commands-general' stamp: 'Richo 2/13/2009 13:44'!
stopping
^ 938! !

!RoboSapien methodsFor: 'commands-movement' stamp: 'Richo 2/13/2009 13:48'!
upperBodyOnly:aDirection
^792+ aDirection! !

!RoboSapien methodsFor: 'commands-general' stamp: 'Richo 2/13/2009 13:44'!
visionProgram
^ 1008! !

!RoboSapien methodsFor: 'commands-general' stamp: 'Richo 2/13/2009 13:44'!
visionSystem
^ 896! !

!RoboSapien methodsFor: 'commands-movement' stamp: 'Richo 2/13/2009 13:48'!
walkTo:aDirection
^768+ aDirection! !

Player subclass: #RoboSapienPlayer
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'RoboSapien-Etoys'!

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:35'!
bullDozerBackward
	self costume renderedMorph bullDozerBackward! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:35'!
bullDozerForward
	self costume renderedMorph  bullDozerForward! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:35'!
burp
	self costume renderedMorph  burp! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:35'!
calmDown
	self costume renderedMorph  calmDown! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:35'!
clearEntry
	self costume renderedMorph  clearEntry! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:35'!
clearProgram
	self costume renderedMorph  clearProgram! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 3/3/2009 14:36'!
connect
	self costume renderedMorph connect! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:35'!
danceDemo
	self costume renderedMorph  danceDemo! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:35'!
danger
	self costume renderedMorph  danger! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:35'!
diode
	self costume renderedMorph  diode! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:35'!
disconnect
	self costume renderedMorph  disconnect! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:35'!
dontPress
	self costume renderedMorph  dontPress! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:35'!
fetch
	self costume renderedMorph  fetch! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:35'!
freeRoam
	self costume renderedMorph  freeRoam! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:35'!
gaitChangeQuitReset
	self costume renderedMorph  gaitChangeQuitReset! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:59'!
getIsConnected
^	self costume renderedMorph isConnected! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 3/3/2009 14:37'!
getPort
^	self costume renderedMorph port! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:35'!
getUp
	self costume renderedMorph  getUp! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:36'!
guardMode
	self costume renderedMorph  guardMode! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:36'!
headOnly: anObject 
	self costume renderedMorph  headOnly: anObject! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:36'!
headUpperBoddy: anObject 
	self costume renderedMorph  headUpperBoddy: anObject! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:36'!
heyBaby
	self costume renderedMorph  heyBaby! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:36'!
highFive
	self costume renderedMorph  highFive! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:36'!
hipAndWaistTilt: anObject 
	self costume renderedMorph  hipAndWaistTilt: anObject! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:36'!
hug
	self costume renderedMorph  hug! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:36'!
insult
	self costume renderedMorph  insult! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:36'!
laugh
	self costume renderedMorph  laugh! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:36'!
leftArmDrop
	self costume renderedMorph  leftArmDrop! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:36'!
leftArmGive
	self costume renderedMorph  leftArmGive! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:36'!
leftArmGrab
	self costume renderedMorph  leftArmGrab! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:36'!
leftArmHighPickup
	self costume renderedMorph  leftArmHighPickup! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:36'!
leftArmLowPickup
	self costume renderedMorph  leftArmLowPickup! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:37'!
leftArmMovement: anObject 
	self costume renderedMorph  leftArmMovement: anObject! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:37'!
leftArmRoll
	self costume renderedMorph  leftArmRoll! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:37'!
leftArmThrow
	self costume renderedMorph  leftArmThrow! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:37'!
leftChop
	self costume renderedMorph  leftChop! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:37'!
leftKick
	self costume renderedMorph  leftKick! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:37'!
leftPush
	self costume renderedMorph  leftPush! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:37'!
lieDownSitUpLieDownStandUp
	self costume renderedMorph  lieDownSitUpLieDownStandUp! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:37'!
mainProgram
	self costume renderedMorph  mainProgram! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:37'!
manualColorModeDaylight
	self costume renderedMorph  manualColorModeDaylight! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:37'!
manualColorModeIndoorWhite
	self costume renderedMorph  manualColorModeIndoorWhite! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:37'!
manualColorModeIndoorYellow
	self costume renderedMorph  manualColorModeIndoorYellow! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:37'!
moveBothArms: anObject 
	self costume renderedMorph  moveBothArms: anObject! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:37'!
movementDemo
	self costume renderedMorph  movementDemo! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:37'!
oops
	self costume renderedMorph  oops! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:37'!
performProgram
	self costume renderedMorph  performProgram! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:37'!
plan
	self costume renderedMorph  plan! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:37'!
positionalProgramEntry
	self costume renderedMorph  positionalProgramEntry! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:37'!
positionalProgramPlay
	self costume renderedMorph  positionalProgramPlay! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:37'!
powerDown
	self costume renderedMorph  powerDown! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:37'!
reset
	self costume renderedMorph  reset! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:37'!
rightArmDrop
	self costume renderedMorph  rightArmDrop! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:37'!
rightArmGive
	self costume renderedMorph  rightArmGive! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:38'!
rightArmGrab
	self costume renderedMorph  rightArmGrab! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:38'!
rightArmHighPickUp
	self costume renderedMorph  rightArmHighPickUp! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:38'!
rightArmLowPickUp
	self costume renderedMorph  rightArmLowPickUp! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:38'!
rightArmMovement: anObject 
	self costume renderedMorph  rightArmMovement: anObject! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:38'!
rightArmRoll
	self costume renderedMorph  rightArmRoll! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:38'!
rightArmThrow
	self costume renderedMorph  rightArmThrow! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:38'!
rightChop
	self costume renderedMorph  rightChop! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:38'!
rightKick
	self costume renderedMorph  rightKick! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:38'!
rightPush
	self costume renderedMorph  rightPush! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:38'!
roar
	self costume renderedMorph  roar! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:38'!
roboPetInteraction
	self costume  renderedMorph roboPetInteraction! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:38'!
roboRaptorInteraction
	self costume renderedMorph  roboRaptorInteraction! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:38'!
roboSapienInteraction
	self costume renderedMorph  roboSapienInteraction! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 3/3/2009 14:36'!
setPort: aNumber
	self costume renderedMorph port: aNumber! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:38'!
sleepWakeUp
	self costume renderedMorph  sleepWakeUp! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:38'!
sonicSensor
	self costume renderedMorph  sonicSensor! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:38'!
soundProgram
	self costume renderedMorph  soundProgram! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:38'!
spareChange
	self costume renderedMorph  spareChange! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:38'!
stopping
	self costume renderedMorph  stopping! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:38'!
upperBodyOnly: anObject 
	self costume renderedMorph upperBodyOnly: anObject! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:39'!
visionProgram
	self costume  renderedMorph visionProgram! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:39'!
visionSystem
	self costume renderedMorph  visionSystem! !

!RoboSapienPlayer methodsFor: 'slots and commands' stamp: 'Richo 2/13/2009 13:39'!
walkTo: anObject 
	self costume renderedMorph  walkTo: anObject! !
RoboSapienMorph initialize!
